;(function(){
(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'element-ui', '../_style/global.css', './style/index.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('element-ui'), require('../_style/global.css'), require('./style/index.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.elementUi, global.global, global.index);
    global.index = mod.exports;
  }
})(this, function (exports, _elementUi) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  exports.default = {
    name: 'uc-custorm-table',
    props: {
      tableData: { required: true, type: Array },
      labelWidth: { type: String, default: '80px' },
      valueWidth: { type: String, default: '' },
      tdHeight: { type: String } },
    components: _defineProperty({}, _elementUi.Tooltip.name, _elementUi.Tooltip),
    data: function data() {
      return {};
    },
    watch: {},
    created: function created() {},

    methods: {}
  };
});
})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function render () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('table',{staticClass:"uc-custorm-table",attrs:{"border":"1"}},_vm._l((_vm.tableData),function(trItem,trIdx){return _c('tr',{key:trIdx},_vm._l((trItem),function(tdItem,tdIdx){return _c('td',{key:tdIdx,staticClass:"uc-custorm-table__tdcss",style:(("height:" + _vm.tdHeight + ";line-height:" + _vm.tdHeight)),attrs:{"colspan":tdItem.colSpan ?tdItem.colSpan:1}},[_c('span',{staticClass:"uc-custorm-table__tdLabel",style:(("width:" + (tdItem.labelWidth || _vm.labelWidth) + ";"))},[_c('span',{staticClass:"uc-custorm-table__labelText"},[_vm._v(_vm._s(tdItem.label))])]),_vm._v(" "),_c('span',{staticClass:"uc-custorm-table__tdValue",style:(("width:" + (tdItem.valueWidth || _vm.valueWidth)))},[_c('el-tooltip',{attrs:{"content":("" + (tdItem.value)),"placement":"top"}},[_c('span',{staticClass:"uc-custorm-table__valueText",style:(("color:" + (tdItem.showColor)))},[_vm._v("\n              "+_vm._s(tdItem.value)+"\n            ")])])],1)])}),0)}),0)])}
__vue__options__.staticRenderFns = []
__vue__options__._scopeId = "data-v-b8634fda"
