---
title: TimeButton 倒计时按钮
---

TimeButton 倒计时按钮

### 引入

```javascript
import { TimeButton } from '@jd/jdc-vue-toolkit'

Vue.component(TimeButton.name, TimeButton)
```

### 代码演示
<!-- DEMO -->

### API

#### Icon Props
|属性 | 说明 | 类型 | 默认值| 备注|
|----|-----|------|------|------|
|second|倒计时数（秒）|Number|60|yrdy|
|disabled|是否禁用|Boolean|false||
|normalText|倒计时未开始时文字配置|String|发送邮箱验证码|-|
|activeText|倒计时按钮文案配置项|String|{$1}s后重新发送|-|
|options|button组件属性|Object|{type:'text'}|支持button组件所有属性|

#### TimeButton Events

##### @run(event)
倒计时开始事件