---
title: Upload 文件上传
---

Upload 文件上传

### 引入

```javascript
import { Upload } from '@jd/jdc-vue-toolkit'

Vue.component(Upload.name, Upload)
```

### 代码演示
<!-- DEMO -->

### API

#### Icon Props
|属性 | 说明 | 类型 | 默认值| 备注|
|----|-----|------|------|------|
|width|上传的宽度|String|-|-|
|height|上传的高度|String|-|-|
|imageUrl|显示的图片地址|String|-|-|
|uploading|上传状态|Boolean|false|-|
|imgSize|上传图片最大尺寸|Number|3|-|
|props|upload组件的属性，[详情见](https://element.eleme.io/#/zh-CN/component/upload)|Object||-|
|methods|upload组件的方法，[详情见](https://element.eleme.io/#/zh-CN/component/upload)|Object||-|
