---
title: CustormTable自定义表格
---

CustormTable自定义表格

### 引入

```javascript
import { CustormTable } from '@jd/jdc-vue-toolkit'

Vue.component(CustormTable.name, CustormTable)
```

### 代码演示
<!-- DEMO -->

### API

#### Attributes
|属性 | 说明 | 类型 | 默认值| 备注|
|----|-----|------|------|------|
|tableData|表格数据|Array|-|表格中一行数据为一个数组，一行中每个属性列（包含属性名、属性值等属性信息）为一个数组|
|labelWidth|统一的属性名宽|String|80px|px，如：80px|
|valueWidth|统一的属性值宽|String|-|px，如：90px|
|tdHeight|表格中每个td项高度|String|32px|px，如：32px|

#### TableData Attributes
|属性 | 说明 | 类型 | 默认值| 备注|
|----|-----|------|------|------|
|key|属性键名|String|-|-|
|label|属性名|String|-|-|
|value|属性值|String|-|-|
|labelWidth|当前属性的属性名宽|String|-|px，如：80px|
|valueWidth|当前属性的属性值宽|String|-|px，如：90px|
|showColor|当前属性的属性值颜色|String|-|-|
|colSpan|当前属性横跨的属性列数|Nmuber|1|如设为3，则横跨3个属性列（一个属性列包含一列属性名和一列属性值），即表格中6列|



#### Methods

|方法名 | 说明 | 参数 |
|----|-----|------|
