---
title: Dialog弹出框
---

Dialog弹出框

### 引入

```javascript
import { Dialog } from '@jd/jdc-vue-toolkit'

Vue.component(Dialog.name, Dialog)
```

### 代码演示
<!-- DEMO -->

### API

#### Attributes
|属性 | 说明 | 类型 | 默认值| 备注|
|----|-----|------|------|------|
|okText|确定按钮的文本|确定|-|-|
|cancelText|取消按钮的文本|取消|-|-|
|width|弹框宽度|String|70%|可以是px或者%，如：40%， 600px|
|hideCancel|是否隐藏‘取消’按钮|Boolean|false|-|
|options|dialog属性,[详情](https://element.eleme.io/#/zh-CN/component/dialog)|-|-|-| -|

#### Methods

|方法名 | 说明 | 参数 |
|----|-----|------|
|confirm|点击确认按钮触发的事件|-|
|cancel|点击取消按钮触发的事件|-|
|open|Dialog 打开的回调|-|
|opened|Dialog 打开动画结束时的回调|-|
|close|Dialog 关闭的回调|-|
|closed|Dialog 关闭动画结束时的回调|-|
