;(function(){
(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'element-ui', '../_style/global.css', './style/index.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('element-ui'), require('../_style/global.css'), require('./style/index.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.elementUi, global.global, global.index);
    global.index = mod.exports;
  }
})(this, function (exports, _elementUi) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  var _components;

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  exports.default = {
    name: 'uc-dialog',
    components: (_components = {}, _defineProperty(_components, _elementUi.Dialog.name, _elementUi.Dialog), _defineProperty(_components, _elementUi.Button.name, _elementUi.Button), _components),
    props: {
      width: {
        type: String,
        default: '70%'
      },
      okText: {
        type: String,
        default: '确定'
      },
      cancelText: {
        type: String,
        default: '取消'
      },
      hideCancel: {
        type: Boolean,
        default: false
      },
      visible: {
        type: Boolean,
        default: false
      },
      options: {
        type: Object,
        default: function _default() {}
      }
    },
    methods: {
      confirm: function confirm() {
        this.$emit('confirm');
      },
      cancel: function cancel() {
        this.$emit('update:visible', false);
      },
      open: function open() {
        this.$emit('open');
      },
      opened: function opened() {
        this.$emit('opened');
      },
      close: function close() {
        this.$emit('close');
      },
      closed: function closed() {
        this.$emit('closed');
      }
    }
  };
});
})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function render () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('el-dialog',_vm._b({attrs:{"visible":_vm.visible,"width":_vm.width,"before-close":_vm.cancel},on:{"update:visible":function($event){_vm.visible=$event},"open":_vm.open,"opened":_vm.opened,"close":_vm.close,"closed":_vm.closed}},'el-dialog',_vm.options,false),[_vm._t("default"),_vm._v(" "),_c('div',{attrs:{"slot":"footer"},slot:"footer"},[_c('el-button',{attrs:{"type":"primary","size":"small"},on:{"click":_vm.confirm}},[_vm._v("\n      "+_vm._s(_vm.okText)+"\n    ")]),_vm._v(" "),(!_vm.hideCancel)?_c('el-button',{attrs:{"type":"text"},on:{"click":_vm.cancel}},[_vm._v("\n      "+_vm._s(_vm.cancelText)+"\n    ")]):_vm._e()],1)],2)}
__vue__options__.staticRenderFns = []
