;(function(){
(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', '../_style/global.css', './style/index.css'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('../_style/global.css'), require('./style/index.css'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.global, global.index);
    global.index = mod.exports;
  }
})(this, function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = {
    name: 'uc-svg-icon',
    props: {
      color: String,
      name: {
        type: String,
        required: true
      },
      className: {
        type: String,
        default: ''
      },
      size: {
        type: [Number, String],
        default: '12px'
      }
    },
    computed: {
      svgClass: function svgClass() {
        return 'svg-icon ' + (this.className ? this.className : '');
      },
      iconSize: function iconSize() {
        return '' + this.size + (typeof this.size === 'number' ? 'px' : '');
      }
    },
    methods: {
      _onClick: function _onClick() {
        this.$emit('click');
      }
    }
  };
});
})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function render () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"uc-svg-icon",style:({
    display: 'inline-flex',
    height: _vm.iconSize,
    width: _vm.iconSize
  }),on:{"click":_vm._onClick}},[_c('svg',{class:_vm.svgClass,style:({fill:_vm.color}),attrs:{"aria-hidden":"true"}},[_c('use',{attrs:{"xlink:href":("#icon-" + _vm.name)}})])])}
__vue__options__.staticRenderFns = []
